<template>
  <div>
    <div class="container">
      <div class="my-5">
        <SponsorBreakPage />
      </div>
      <div class="my-5">
        <SponsorBreakPage :showlink="true" />
      </div>
      <div class="my-5">
        <div class="md:flex md:-mx-10px">
          <div class="md:w-8/12 md:px-10px"></div>
          <div class="md:w-4/12 md:px-10px">
            <div class="mb-6">
              <SponsorArticleBox />
            </div>
            <div class="mb-5">
              <SponsorVertical :showlink="true" />
            </div>
            <div class="mb-5">
              <SponsorVertical />
            </div>
            <div class="mb-5">
              <SponsorDisplayBox :showlink="true" />
            </div>
            <div class="mb-5">
              <SponsorDisplayBox />
            </div>
            <div class="mb-5">
              <SponsporProductListing :showlink="true" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import SponsorBreakPage from '~/components/sponsor/SponsorBreakPage'
import SponsorArticleBox from '~/components/sponsor/SponsorArticleBox'
import SponsorVertical from '~/components/sponsor/SponsorVertical'
import SponsorDisplayBox from '~/components/sponsor/SponsorDisplayBox'
import SponsporProductListing from '~/components/sponsor/SponsporProductListing'

export default {
  layout({ isMobileOrTablet }) {
    return isMobileOrTablet ? 'mobile' : 'default'
  },
  components: {
    SponsorBreakPage,
    SponsorArticleBox,
    SponsorVertical,
    SponsorDisplayBox,
    SponsporProductListing
  },
  data() {
    return {}
  }
}
</script>
